org.apache.ignite.internal.processors.query.schema.message

## Class SchemaProposeDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.message.SchemaAbstractDiscoveryMessage
  - - org.apache.ignite.internal.processors.query.schema.message.SchemaProposeDiscoveryMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class SchemaProposeDiscoveryMessage
    extends SchemaAbstractDiscoveryMessage

Schema change propose discovery message.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.query.schema.message.SchemaAbstractDiscoveryMessage

`op`

### Constructor Summary

Constructors
Constructor and Description
`SchemaProposeDiscoveryMessage(SchemaAbstractOperation op)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`IgniteUuid` `deploymentId()`
`void` `deploymentId(IgniteUuid depId)`
`SchemaOperationException` `error()`
`boolean` `exchange()`
`void` `exchange(boolean exchange)`
`boolean` `hasError()`
`boolean` `initialized()`
`boolean` `isMutable()`
`void` `onError(SchemaOperationException err)` Set error.
`String` `schemaName()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.query.schema.message.SchemaAbstractDiscoveryMessage

`createDiscoCache, id, operation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaProposeDiscoveryMessage

    public SchemaProposeDiscoveryMessage(SchemaAbstractOperation op)

Constructor.

Parameters:
  `op` - Operation.

### Method Detail

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

#### exchange

    public boolean exchange()

Specified by:
  `exchange` in class `SchemaAbstractDiscoveryMessage`
Returns:
  Whether request must be propagated to exchange thread.

#### exchange

    public void exchange(boolean exchange)

Parameters:
  `exchange` - Whether to perform exchange.

#### deploymentId

    @Nullable
    public IgniteUuid deploymentId()

Returns:
  Deployment ID.

#### deploymentId

    public void deploymentId(IgniteUuid depId)

Parameters:
  `depId` - Deployment ID.

#### initialized

    public boolean initialized()

Returns:
  `True` if message is initialized.

#### onError

    public void onError(SchemaOperationException err)

Set error.

Parameters:
  `err` - Error.

#### hasError

    public boolean hasError()

Returns:
  `True` if error was reported during init.

#### error

    @Nullable
    public SchemaOperationException error()

Returns:
  Error message (if any).

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### toString

    public String toString()

Overrides:
  `toString` in class `SchemaAbstractDiscoveryMessage`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018